## libguestfs 1.14.7

=== debian/changelog ===
libguestfs (1:1.14.7-1) unstable; urgency=low

  * New upstream version
  * [d7a96c1] Added fixes for building Python2 bindings on squeeze
  * [565ae83] Added fixes for building Python3 bindings on squeeze

 -- Hilko Bengen <bengen@debian.org>  Sat, 10 Dec 2011 21:36:00 +0100

libguestfs (1:1.14.6-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 07 Dec 2011 00:24:43 +0100

libguestfs (1:1.14.5-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 02 Dec 2011 21:16:54 +0100

libguestfs (1:1.14.4-1) unstable; urgency=low

  * New upstream version
  * [9c1fed8] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Fri, 25 Nov 2011 23:25:27 +0100

libguestfs (1:1.14.3-1) unstable; urgency=low

  * New upstream version
  * [cacf69d] Ran debconf-updatepo as suggested by lintian
  * [f3f7c4e] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2011 08:53:24 +0100

libguestfs (1:1.14.2-4) unstable; urgency=low

  * [f9c46d5] Added patch to install Java bindings to /usr/lib/jni. This
    eliminates a file conflict between libguestfs-java and libguestfs-dev

 -- Hilko Bengen <bengen@debian.org>  Sun, 20 Nov 2011 23:41:01 +0100

libguestfs (1:1.14.2-3) unstable; urgency=low

  * Added an epoch after uploading an 1.15 package to unstable instead of
    experimental.

 -- Hilko Bengen <bengen@debian.org>  Fri, 18 Nov 2011 17:10:30 +0100

libguestfs (1.14.2-2) unstable; urgency=low

  * [cf7da64] Updated .gitignore
  * [ab7d4d9] Fixed copy&paste error in erlang-guestfs description
  * [c6c5d54] Added configuration file and bash completion snippet to
    libguestfs-tools
  * [dbbf2f1] Added Java bindings

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Nov 2011 09:47:47 +0100

libguestfs (1.14.2-1) unstable; urgency=low

  * New upstream version
  * [c27fa27] Rebased patch queue, added fix for Erlang bindings build
  * [a563153] Added package for Erlang bindings

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Nov 2011 23:50:41 +0100

libguestfs (1.14.1-2) unstable; urgency=low

  * [44d13ed] Run tests in all build directories
  * [fbfe97e] Added upstream's patches for Python 3.x support
  * [4938eec] Re-enabled build of python3 bindings

 -- Hilko Bengen <bengen@debian.org>  Thu, 03 Nov 2011 12:18:18 +0100

libguestfs (1.14.1-1) unstable; urgency=low

  * New upstream version
  * [0dfbcaf] Enabled support for SELinux, Systemtap, updated build dependencies
  * [0548ce6] Disabled building of Python bindings for Python 3.x. Many
    warnings about undefined symbols are given, they would not work
    anyhow. Thanks to Neil Wilson for bringing this to my attention.

 -- Hilko Bengen <bengen@debian.org>  Wed, 02 Nov 2011 22:43:33 +0100

libguestfs (1.14.0-1) unstable; urgency=low

  * New upstream version
  * [19863e1] Imported patch queue from 1.13.24-1 (experimental)
  * [ad9d721] Disabled building of Erlang bindings until I figure out how to package those
  * [d92329b] Re-enabled vmchannel test
  * [08e806a] Updated watch file

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Oct 2011 18:23:02 +0200

libguestfs (1.12.8-2) unstable; urgency=low

  * [5c40932] Added fix for qemu 0.15 -machine option
  * [c45157d] Disabled vmchannel test (Closes: #646295)

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Oct 2011 16:23:19 +0200

libguestfs (1.12.8-1) unstable; urgency=low

  * New upstream version 
  * [e85ce09] Rebased patch queue; fixed bindtests and inspector tests
  * [5294a7e] Got rid of a shortcut in building bindings for multiple
    Python versions. This stopped working with Python 2.7 being the
    default python.
  * [689757d] Added Spanish debconf translations, thanks to SM Baby
    Siabef. (Closes: #642068)
  * [c09d3d5] Added Dutch debconf translations, thanks to Jeroen Schot.
    (Closes: #642290)
  * [48a726d] Added Czech debconf translation, thanks to Michal Simunek.
    (Closes: #642437)
  * [09c47b4] Removed grub-pc dependency, as suggested on IRC.
    (Closes: #645119)

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Oct 2011 13:13:00 +0200

libguestfs (1.12.7-1) unstable; urgency=low

  * New upstream version
  * [96f89ea] Added Portuguese debconf translations, thanks to "Traduz".
    (Closes: #641160)
  * [509dc8d] Added French debconf translations, thanks to Julien
    Patriarca. (Closes: #641407)
  * [348682d] Added German debconf translations, thanks to Chris Leick.
    (Closes: #641347)

 -- Hilko Bengen <bengen@debian.org>  Sun, 18 Sep 2011 22:55:57 +0200

libguestfs (1.12.6-2) unstable; urgency=low

  * [00e96af] Applied changes to debconf templates and package
    descriptions as suggested by Christian PERRIER on behalf of the
    debian-l10n-english team. (Closes: #640470)
  * [6ac64b9] Added Swedish debconf translations, thanks to Martin
    Bagge. (Closes: #640831)
  * [18b2e33] Added Danish debconf translations, thanks to Joe Dalton.
    (Closes: #640832)
  * [5bd6bb4] Added Russian debconf translations, thanks to Yuri
    Kozlov. (Closes: #640945)

 -- Hilko Bengen <bengen@debian.org>  Sat, 10 Sep 2011 14:33:45 +0200

libguestfs (1.12.6-1) unstable; urgency=low

  * New upstream version
  * [dad2b57] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Sep 2011 20:03:23 +0200

libguestfs (1.12.5-1) unstable; urgency=low

  * New upstream version
  * [38c612e] Added Vcs-* fields to debian/control
  * [cdd4f34] Updated watch file
  * [29c7217] Removed those patches that have made it into the upstream release

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Aug 2011 14:52:21 +0200

libguestfs (1.12.4-2) unstable; urgency=low

  * [2d93cf5] Re-added supermin.d directory that was missing in -1.

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Aug 2011 01:03:09 +0200

libguestfs (1.12.4-1) unstable; urgency=low

  * New upstream version
  * [3168278] Added patches for the build scripts to allow for a separate
    build directory

