=== debian/control ===
Source: libguestfs
Section: libs
Priority: extra
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, aptitude,
  po-debconf, bash-completion,
  febootstrap (>= 3.2),
  libreadline-dev, libaugeas-dev, libselinux1-dev, libhivex-dev, libvirt-dev,
  libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
  libconfig-dev, libc-dev-bin, systemtap-sdt-dev,
  automake, autoconf, libtool,
  gperf, libxml2-utils,
  qemu-kvm (>= 0.13),
  genisoimage, pkg-config,
  erlang-dev,
  dh-ocaml, ocaml, ocaml-findlib, libpcre-ocaml-dev,
  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
  default-jdk,
  libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
  libstring-shellquote-perl,
  libsys-virt-perl, libwin-hivex-perl,
  libfuse-dev, fuse-utils
Homepage: http://libguestfs.org
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libguestfs.git

Package: guestfish
Section: admin
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: guest disk image management system - file system shell
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 Guestfish is a shell and command-line tool for examining and modifying
 virtual machine file systems. It uses libguestfs and exposes all of the
 functionality of the guestfs API; see guestfs(3).

Package: guestfsd
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends},
  bsdmainutils,
  diffutils,
# grub-pc,
  iproute,
  libaugeas0,
  udev,
  binutils,
  cpio,
  dosfstools,
  file,
  lsof,
  module-init-tools,
  net-tools,
  parted,
  procps,
  scrub,
  strace,
  zerofree
Description: Daemon to access to guest virtual machine through virtio serial
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 This package contains a standalone version the back-end daemon that
 carries out file system access on behalf of libguestfs applications.
 It is not needed for regular operation.

Package: libguestfs-dev
Section: libdevel
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${misc:Depends}
Description: guest disk image management system - development headers
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 This package contains the development headers.

Package: libguestfs0
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends},
  febootstrap (>= 3.2),
  qemu-kvm (>= 0.13),
  bsdmainutils,
  btrfs-tools,
  cryptsetup,
  diffutils,
# gfs-tools,
# gfs2-tools,
# grub-pc,
# hfsplus,
  iproute,
  libaugeas0,
# nilfs2-tools,
  ntfs-3g,
  ntfsprogs,
  reiserfsprogs,
  udev,
  vim-tiny,
  xz-utils,
  zfs-fuse,
  binutils,
  cpio,
  dosfstools,
  file,
  jfsutils,
  lsof,
  lvm2,
  module-init-tools,
  net-tools,
  parted,
  procps,
  scrub,
  strace,
  xfsprogs,
  zerofree
Description: guest disk image management system - shared library
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.

Package: guestmount
Section: admin
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: guest disk image management system - FUSE mount utility
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 The guestmount utility can be used to mount virtual machine file systems and
 other disk images on the host. It uses libguestfs for access to the guest
 file system, and FUSE ("File system in USErspace") to make it appear as a
 mountable device.

Package: libguestfs-tools
Section: admin
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 libsys-virt-perl, libguestfs-perl (= ${binary:Version}),
 libwin-hivex-perl,
 libintl-perl, libstring-shellquote-perl
Description: guest disk image management system - tools
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 This package contains virtualization tools, including virt-cat, virt-df,
 virt-edit, virt-filesystems, virt-inspector, virt-ls, virt-make-fs,
 virt-rescue, virt-resize, virt-tar, and virt-win-reg.

Package: libguestfs0-dbg
Section: debug
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version})
Description: guest disk image management system - debug symbols
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 This package contains the debugging symbols.

Package: libguestfs-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: guest disk image management system - documentation
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.
 .
 This package contains the documentation.

Package: python-guestfs
Section: python
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libguestfs0 (= ${binary:Version})
Provides: python-libguestfs
Conflicts: python-libguestfs
Description: guest disk image management system - Python bindings
 The libguestfs library allows accessing and modifying guest disk
