## libguestfs 1.14.8

=== debian/changelog ===
libguestfs (1:1.14.8-3) unstable; urgency=low

  * [0344ab5] Re-sorted which manpages go into what package. Added a few
    missing manpages.
  * [41e92c5] Moved bash-completion snippet for guestfish to the guestfish
    package.
  * [1184b62] Removed empty libguestfs-doc package.
  * [1bec3c7] Added examples to libguestfs-dev and language bindings packages.

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 Dec 2011 18:39:01 +0100

libguestfs (1:1.14.8-2) unstable; urgency=low

  * [fd34116] Removed dependency on ntfsprogs since they are now packaged
    along with ntfs-3g.

 -- Hilko Bengen <bengen@debian.org>  Wed, 28 Dec 2011 10:57:52 +0100

libguestfs (1:1.14.8-1) unstable; urgency=high

  * New upstream version
  * Mitigate possible privilege escalation via SG_IO ioctl (CVE-2011-4127,
    RHBZ#757071)

 -- Hilko Bengen <bengen@debian.org>  Thu, 22 Dec 2011 23:12:21 +0100
