## libguestfs 1.15.11

=== debian/changelog ===
libguestfs (1:1.15.11-1) experimental; urgency=low

  * New upstream version
  * [797c826] Rebased patch queue
  * [b2aa178] Ported Python-related fixes from unstable branch
  * [c88c9e9] Added fix for recognizing the correct libpython

 -- Hilko Bengen <bengen@debian.org>  Sun, 11 Dec 2011 23:03:37 +0100

libguestfs (1:1.15.10-1) experimental; urgency=low

  * New upstream version
  * [f16bc50] Rebased patch queue; changed build system to be able to Ruby
    bindings for more than one version.
  * [6be9177] Corrected package name for Ruby bindings, started building
    Ruby bindings for 1.8 and 1.9

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2011 22:34:29 +0100

libguestfs (1:1.15.8-1) experimental; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 02 Dec 2011 00:42:19 +0100

libguestfs (1:1.15.6-1) experimental; urgency=low

  * New upstream version
  * Added epoch
  * [1efde9f] Rebased patch queue
  * [5bdbd2e] Ran debconf-updatepo as suggested by lintian

 -- Hilko Bengen <bengen@debian.org>  Thu, 24 Nov 2011 23:44:12 +0100

libguestfs (1.15.4-2) experimental; urgency=low

  * [f9223ea] Wrapped long line in previous changelog entry, as noted by
    Lintian.
  * [16ff014] Added Ruby bindings
  * [b1b14a4] Updated patch queue (Ruby fixes)

 -- Hilko Bengen <bengen@debian.org>  Fri, 18 Nov 2011 08:45:02 +0100

libguestfs (1.15.4-1) experimental; urgency=low

  * New upstream version
  * [9bb1581] Updated watch file
  * [43f7c8b] Set section for guestfsd.
  * [a3d2a4b] Fixed copy&paste error in erlang-guestfs description
  * [1b068b2] Added Java bindings
  * [e53ddab] Added configuration file and bash completion snippet to
    libguestfs-tools
  * [999a2c2] Updated .gitignore
  * [375a1fa, d86b53f] Updated patch queue

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Nov 2011 20:23:38 +0100

libguestfs (1.15.3-1) experimental; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 11 Nov 2011 12:28:45 +0100
