=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
   dh-ocaml, ocaml, ocaml-findlib, libpcre-ocaml-dev,
   python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
   default-jdk,
+  gem2deb, rake,
   libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
@@ -25,6 +26,7 @@
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libguestfs.git
+XS-Ruby-Versions: all
 
 Package: guestfish
 Section: admin
@@ -55,6 +57,7 @@
  functionality of the guestfs API; see guestfs(3).
 
 Package: guestfsd
+Section: admin
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends},
   bsdmainutils,
@@ -143,7 +146,7 @@
   libaugeas0,
 # nilfs2-tools,
   ntfs-3g,
-  ntfs-3g (>> 1:2011.10.9AR.1-4~) | ntfsprogs,
+  ntfsprogs,
   reiserfsprogs,
   udev,
   vim-tiny,
@@ -270,6 +273,32 @@
  .
  This package contains the debugging symbols.
 
+Package: libguestfs-doc
+Section: doc
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: guest disk image management system - documentation
+ The libguestfs library allows accessing and modifying guest disk
+ images. It offers the following features, among many others:
+  * making batch configuration changes to guests;
+  * viewing and editing files inside guests;
+  * getting disk used/free statistics;
+  * migrating between virtualization systems;
+  * performing partial backups;
+  * performing partial guest clones;
+  * cloning guests and changing registry/UUID/hostname info.
+ .
+ It uses the Linux kernel and qemu code, and can access any type of guest
+ file system that Linux and qemu can, including but not limited to: ext2/3/4,
+ btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
+ vmdk.
+ .
+ The library provides ways to enumerate guest storage (such as partitions, LVs,
+ what file system is in each LV, etc.); to run commands in the context of the
+ guest; and to upload and download files and directories.
+ .
+ This package contains the documentation.
+
 Package: python-guestfs
 Section: python
 Architecture: i386 amd64
@@ -277,30 +306,3 @@
 Provides: python-libguestfs
 Conflicts: python-libguestfs
 Description: guest disk image management system - Python bindings
- The libguestfs library allows accessing and modifying guest disk
- images. It offers the following features, among many others:
-  * making batch configuration changes to guests;
-  * viewing and editing files inside guests;
-  * getting disk used/free statistics;
-  * migrating between virtualization systems;
-  * performing partial backups;
-  * performing partial guest clones;
-  * cloning guests and changing registry/UUID/hostname info.
- .
- It uses the Linux kernel and qemu code, and can access any type of guest
- file system that Linux and qemu can, including but not limited to: ext2/3/4,
- btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
- vmdk.
- .
- The library provides ways to enumerate guest storage (such as partitions, LVs,
- what file system is in each LV, etc.); to run commands in the context of the
- guest; and to upload and download files and directories.
- .
- This package contains the Python bindings.
- 
-Package: libguestfs-perl
-Section: perl
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
- ${perl:Depends},
- libxml-xpath-perl,
