=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://libguestfs.org/download/1.15-development/libguestfs-([\d\.]*)\.tar\.gz
