=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,19 @@
 	$(DEFAULT_CONFIG_FLAGS) \
 	--disable-daemon --disable-fuse \
 	--disable-ocaml --disable-perl \
-	--disable-erlang --with-java-home=no
+	--disable-erlang --with-java-home=no \
+	--disable-gobject
 
 override_dh_auto_clean:
-	set -e; for p in $(PYTHONS); do \
-	    dh_auto_clean --builddir=$(CURDIR)/debian/build-$$p ; \
+	set -e; for p in \
+		default \
+		$(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
+		$(filter-out $(RUBY_DEFAULT), $(RUBIES)) \
+	; do \
+		dh_auto_clean --builddir=$(CURDIR)/debian/build-$$p ; \
 	done
 
 override_dh_auto_configure:
-
 	dh_auto_configure --builddir=$(CURDIR)/debian/build-default \
 		-- \
 		$(DEFAULT_CONFIG_FLAGS) \
@@ -38,14 +42,16 @@
 	; do \
 		dh_auto_configure --builddir=$(CURDIR)/debian/build-ruby$$v \
 			-- \
-			$(BARE_CONFIG_FLAGS) --disable-python RUBY=ruby$$v RAKE=rake$$v; \
+			$(BARE_CONFIG_FLAGS) \
+			--disable-python RUBY=ruby$$v RAKE=rake$$v; \
 	done
 
 	set -e; for p in $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
 	; do \
 		dh_auto_configure --builddir=$(CURDIR)/debian/build-$$p \
 			-- \
-			$(BARE_CONFIG_FLAGS) --disable-ruby PYTHON=$$p ; \
+			$(BARE_CONFIG_FLAGS) \
+			--disable-ruby PYTHON=$$p ; \
 	done
 
 override_dh_strip:
@@ -57,9 +63,9 @@
 		-- INSTALLDIRS=vendor LD_RUN_PATH=""
 
 	$(MAKE) -C $(CURDIR)/debian/build-default/appliance \
-	    make.sh \
-	    packagelist excludelist \
-	    supermin.d/daemon.img supermin.d/init.img
+		make.sh \
+		packagelist excludelist \
+		supermin.d/daemon.img supermin.d/init.img
 
 	set -e; for p in \
 		$(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
@@ -122,7 +128,12 @@
 override_dh_python2:
 	dh_python2 -p python-libguestfs -V 2.6-
 
+# Workaround for Lintian warning
+# "{pre,post}inst-has-useless-call-to-ldconfig"
+override_dh_makeshlibs:
+	dh_makeshlibs -X/usr/lib/jni
+
 %:
 	dh --without=python-support \
-	   --with=autotools-dev,ocaml,python2,python3,bash-completion,ruby \
+	   --with=autotools-dev,ocaml,python2,python3,bash-completion,ruby,gir \
 	   $@
