## libguestfs 1.16.2

=== debian/changelog ===
libguestfs (1:1.16.2-1) unstable; urgency=low

  * New upstream version
  * [4a57faf] Rebased patch queue
  * [a99c16a] Fixed dh call

 -- Hilko Bengen <bengen@debian.org>  Tue, 31 Jan 2012 23:13:36 +0100
