## libguestfs 1.16.5

=== debian/changelog ===
libguestfs (1:1.16.5-1) unstable; urgency=low

  * New upstream version
  * [1aee45e] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Mon, 13 Feb 2012 21:03:09 +0100

libguestfs (1:1.16.4-1) unstable; urgency=low

  * New upstream version
  * [e47e59d] Rebased patch queue, disabled virt-format test

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Feb 2012 17:37:36 +0100

libguestfs (1:1.16.3-1) unstable; urgency=low

  * New upstream version
  * [1421212] Updated debian/.gitignore
  * [80e9955] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 Feb 2012 23:00:46 +0100
