=== debian/control ===
Source: libguestfs
Section: libs
Priority: extra
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, aptitude,
  po-debconf, bash-completion,
  febootstrap (>= 3.2),
  libreadline-dev, libaugeas-dev, libselinux1-dev, libhivex-dev, libvirt-dev,
  libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
  libconfig-dev, libc-dev-bin, systemtap-sdt-dev,
  automake, autoconf, libtool,
  gperf, libxml2-utils,
  qemu-kvm (>= 0.13),
  genisoimage, pkg-config,
  erlang-dev,
  dh-ocaml, ocaml, ocaml-findlib, libpcre-ocaml-dev,
  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
  default-jdk,
  gem2deb, rake,
  libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
  libstring-shellquote-perl,
  libsys-virt-perl, libwin-hivex-perl,
  libfuse-dev, fuse-utils,
  libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev
Homepage: http://libguestfs.org
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libguestfs.git
XS-Ruby-Versions: all

Package: guestfish
Section: admin
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: guest disk image management system - file system shell
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 Guestfish is a shell and command-line tool for examining and modifying
 virtual machine file systems. It uses libguestfs and exposes all of the
 functionality of the guestfs API; see guestfs(3).

Package: guestfsd
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends},
  bsdmainutils,
  diffutils,
# grub-pc,
  iproute,
  libaugeas0,
  udev,
  binutils,
  cpio,
  dosfstools,
  file,
  lsof,
  module-init-tools,
  net-tools,
  parted,
  procps,
  scrub,
  strace,
  zerofree
Description: Daemon to access to guest virtual machine through virtio serial
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains a standalone version the back-end daemon that
 carries out file system access on behalf of libguestfs applications.
 It is not needed for regular operation.

Package: libguestfs-dev
Section: libdevel
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libguestfs0 (<< 1:1.14.9-1~)
Description: guest disk image management system - development headers
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the development headers.

Package: libguestfs0
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends},
  febootstrap (>= 3.2),
  qemu-kvm (>= 0.13),
  bsdmainutils,
  btrfs-tools,
  cryptsetup,
  diffutils,
# gfs-tools,
# gfs2-tools,
# grub-pc,
# hfsplus,
  iproute,
  libaugeas0,
# nilfs2-tools,
  ntfs-3g,
  ntfs-3g (>> 1:2011.10.9AR.1-4~) | ntfsprogs,
  reiserfsprogs,
  udev,
  vim-tiny,
  xz-utils,
  zfs-fuse,
  binutils,
  cpio,
  dosfstools,
  file,
  jfsutils,
  lsof,
  lvm2,
  module-init-tools,
  net-tools,
  parted,
  procps,
  scrub,
  strace,
  xfsprogs,
  zerofree
Description: guest disk image management system - shared library
 The libguestfs library allows accessing and modifying guest disk
 images. It offers the following features, among many others:
  * making batch configuration changes to guests;
  * viewing and editing files inside guests;
  * getting disk used/free statistics;
  * migrating between virtualization systems;
  * performing partial backups;
  * performing partial guest clones;
  * cloning guests and changing registry/UUID/hostname info.
 .
 It uses the Linux kernel and qemu code, and can access any type of guest
 file system that Linux and qemu can, including but not limited to: ext2/3/4,
 btrfs, FAT and NTFS, LVM, many different disk partition schemes, qcow, qcow2,
 vmdk.
 .
 The library provides ways to enumerate guest storage (such as partitions, LVs,
 what file system is in each LV, etc.); to run commands in the context of the
 guest; and to upload and download files and directories.

Package: guestmount
Section: admin
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: guest disk image management system - FUSE mount utility
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 The guestmount utility can be used to mount virtual machine file systems and
 other disk images on the host. It uses libguestfs for access to the guest
 file system, and FUSE ("File system in USErspace") to make it appear as a
 mountable device.

Package: libguestfs-tools
Section: admin
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 libsys-virt-perl, libguestfs-perl (= ${binary:Version}),
 libwin-hivex-perl,
 libintl-perl, libstring-shellquote-perl
Description: guest disk image management system - tools
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains virtualization tools, including virt-cat, virt-df,
 virt-edit, virt-filesystems, virt-inspector, virt-ls, virt-make-fs,
 virt-rescue, virt-resize, virt-tar, and virt-win-reg.

Package: libguestfs0-dbg
Section: debug
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version})
Description: guest disk image management system - debug symbols
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the debugging symbols.

Package: python-guestfs
Section: python
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libguestfs0 (= ${binary:Version})
Provides: python-libguestfs
Conflicts: python-libguestfs, libguestfs-dev (<< 1:1.14.9-1~)
Description: guest disk image management system - Python bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the Python bindings.
 
Package: libguestfs-perl
Section: perl
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
 ${perl:Depends},
 libxml-xpath-perl,
 libwin-hivex-perl,
 libsys-virt-perl
Description: guest disk image management system - Perl bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the Perl bindings.
 
Package: libguestfs-ocaml
Section: ocaml
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: guest disk image management system - OCaml bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package includes the OCaml shared runtime stub libraries.
 
Package: libguestfs-ocaml-dev
Section: ocaml
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends},
 libguestfs0 (= ${binary:Version}),
 libguestfs-dev (= ${binary:Version}), 
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Conflicts: libguestfs-dev (<< 1:1.14.9-1~)
Description: guest disk image management system - OCaml development files
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains all the files needed to develop OCaml programs
 which use OCaml bindings to libguestfs.

Package: erlang-guestfs
Section: interpreters
Architecture: i386 amd64
Depends: ${erlang-base:Depends}, ${erlang-abi:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libguestfs-dev (<< 1:1.14.9-1~)
Description: guest disk image management system - Erlang bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains Erlang bindings to libguestfs.

Package: libguestfs-java
Section: java
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libguestfs-dev (<< 1:1.15.15-1~)
Description: guest disk image management system - Java bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains Java bindings to libguestfs.

Package: ruby-guestfs
Section: ruby
XB-Ruby-Versions: ${ruby:Versions}
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Conflicts: libguestfs-dev (<< 1:1.15.15-1~)
Description: guest disk image management system - Ruby bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains Ruby bindings to libguestfs.

Package: libguestfs-gobject-1.0-0
Section: libs
Architecture: i386 amd64
Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libguestfs0 (<< 1:1.14.9-1~)
Description: guest disk image management system - GObject bindings
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the GObject bindings.

Package: libguestfs-gobject-dev
Section: libdevel
Architecture: i386 amd64
Depends: libguestfs-gobject-1.0-0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libguestfs0 (<< 1:1.14.9-1~)
Description: guest disk image management system - GObject development headers
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the development headers for the GObject bindings.

Package: gir1.2-guestfs-1.0
Section: introspection
Architecture: i386 amd64
Depends: libguestfs-gobject-1.0-0 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
Conflicts: libguestfs0 (<< 1:1.14.9-1~)
Description: guest disk image management system - GObject introspection files
 The libguestfs library allows accessing and modifying guest disk
 images.
 .
 This package contains the GObject introspection data.
