## libguestfs 1.16.9

=== debian/changelog ===
libguestfs (1:1.16.9-1) unstable; urgency=low

  * New upstream version
  * [8a8b9d3] Added dependencies on netpbm, icoutils which are used to
    generate guest icons in inspection output.

 -- Hilko Bengen <bengen@debian.org>  Fri, 09 Mar 2012 17:37:31 +0100

libguestfs (1:1.16.8-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 05 Mar 2012 22:42:32 +0100

libguestfs (1:1.16.7-1) unstable; urgency=low

  * New upstream version
  * [ff29ecd] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Sun, 04 Mar 2012 13:23:09 +0100

libguestfs (1:1.16.6-1) unstable; urgency=low

  * New upstream version
  * [595a350] Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Mar 2012 23:39:42 +0100
